OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
InternalNode< _ChildNodeType, Log2Dim >::DeepCopy< OtherInternalNode > Struct Template Reference

`#include <openvdb/tree/InternalNode.h>`

## Public Member Functions
| DeepCopy (const OtherInternalNode *source, InternalNode *target)
void | operator() (const tbb::blocked_range< Index > &r) const

## Public Attributes
const OtherInternalNode * | s
InternalNode * | t

## Constructor & Destructor Documentation

## ◆ DeepCopy()

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

DeepCopy | ( | const OtherInternalNode * | source,
|  | InternalNode * | target
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

void operator() | ( | const tbb::blocked_range< Index > & | r | ) | const
| inline

## Member Data Documentation

## ◆ s

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

const OtherInternalNode* s

## ◆ t

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

InternalNode* t